#!/bin/bash

. ${RF_MOZCONFIG}/firefox.sh
. ${RF_MOZCONFIG}/gecko-24.0.sh

RF_SRCDIR="mozilla-esr24"
RF_L10N="ja zh-TW"
PROFILE_GEN_SCRIPT="../../../rayflood-build/buildshell/pgo-profile-run.sh ${RF_APP_VER}"
RF_PATCHES_EXTRA="${RF_PATCHES_EXTRA} mozilla-24.0-LudicrousSpeed.patch"

case ${RF_MSVCVERSION} in
win32-*)
	case ${RF_MSVCVERSION} in
	*-vc12)
		RF_PGO=1
	;;
	*-vc11)
		RF_PGO=1
	;;
	*-vc10)
		RF_PGO=1
	;;
	*-vc9)
		RF_PGO=1
	;;
	esac
;;
win64-*)
	case ${RF_MSVCVERSION} in
	*-vc12)
		RF_PGO=1
	;;
	*-vc11)
		RF_PGO=1
	;;
	*-vc10)
		RF_PGO=1
	;;
	esac
;;
linux_*)
	case ${RF_MSVCVERSION} in
	*_x86_64-gcc48)
		RF_PGO=1
	;;
	*_x86_64-gcc47)
		RF_PGO=1
	;;
	*-gcc46)
		RF_PGO=1
	;;
	*-gcc45)
		RF_PGO=1
	;;
	esac
;;
#mac_*)
#	RF_PGO=1
#;;
esac
